Subject: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: Glenn Morris <[email-masked]>
Date: Tue, 23 Oct 2012 12:24:05 -0400

Jonathan Schaeffer wrote:

> To reproduce :
>
> Create a .org file, create 2 level-1 entries. Create one level-2 entry
> and hit C-c C-w to refile it into the other level-1 entry.
>
> Like this :
>
> * Entry One
> * Entry Two
> ** Refile Me
>
> The level-2 entry is copied in the correct location but is not removed
> from original location.
> Minibuffer shows message "Not Bookmark Format". And the file looks like :
>
> * Entry One
> ** Refile Me
> * Entry Two
> ** Refile Me

I found a way to reproduce this: have a corrupt bookmarks file.
Check the contents of your bookmark-default-file. Try (re)moving it.

Perhaps Org could trap and report such errors more gracefully.